<apex:page id="vfpageooc" controller="FM_OperatorOnCallController" docType="html-5.0" title="Operator On Call">
	<apex:pageMessages id="pageMessages" />

	<style>
	.cellooc
	{
		border: 2px solid #000;
	}
	</style>

	<script>
		function setFocusOnLoad(){}

		function UpdateRoute(sNewRoute, sInitMessage)
		{
			document.getElementById('vfpageooc:frmOperatorOnCall:route_hidden_field').value = sNewRoute;

			if(confirm(sInitMessage))
			{
				ChangeOperator();
			}
		}

		function EditMode(sRouteNum)
		{
			document.getElementById('vfpageooc:frmOperatorOnCall:route_hidden_field').value = sRouteNum;
			StartPageEditMode();
		}
	</script>

	<apex:form id="frmOperatorOnCall">

		<apex:actionstatus id="ajaxStatus">
			<apex:facet name="start">
				<div class="waitingSearchDiv" id="el_loading" style="background-color: #dcd6d6; height: 100%; opacity:0.65; width: 100%;">
					<div class="waitingHolder" style="top: 150px; width: 200px; height: 40px; border: 1px solid black; background-color: white;">
						<p>
							<img class="waitingImage" src="/img/loading.gif" title="Please Wait..." />
							<span class="waitingDescription">Please Wait...</span>
						</p>
					</div>
				</div>
			</apex:facet>
		</apex:actionstatus>

		<apex:inputHidden value="{!RouteNum}" id="route_hidden_field" />
		<apex:actionFunction name="ChangeOperator" status="ajaxStatus" action="{!ChangeOperator}" rerender="pageMessages, route_hidden_field" />
		<apex:actionFunction name="StartPageEditMode" status="ajaxStatus" action="{!EditMode}" rerender="pageMessages, pbStandard, route_hidden_field" />

		<apex:pageBlock id="pbStandard" title="Operator On Call">
			<apex:actionRegion >
				<table style="border-collapse: collapse; padding: 2px; width: 94%;">
					<tr style="line-height: 26px;">
						<td class="cellooc" style="width: 10%; font-weight: bold; text-align: center; vertical-align: middle; background-color: #dddddd">
							<apex:commandLink style="text-decoration: none; vertical-align: middle;" action="{!ColumnSortToggle}" reRender="pbStandard" status="ajaxStatus" rendered="{!InEditMode == false}">
								<apex:param name="SortField" value="Name" assignTo="{!sSearchField}" />
								<apex:outputText escape="false" value="Route Number {!IF(sSearchField == 'Name', IF(bSortAscending == true, '▲', '▼'), '')}" />
							</apex:commandLink>

							<apex:outputText escape="false" value="Route Number {!IF(sSearchField == 'Name', IF(bSortAscending == true, '▲', '▼'), '')}" rendered="{!InEditMode == true}" />
						</td>
						<td class="cellooc" style="width: 46%; font-weight: bold; text-align: center; vertical-align: middle; background-color: #dddddd" colspan="3">
							<apex:commandLink style="text-decoration: none; vertical-align: middle;" action="{!ColumnSortToggle}" reRender="pbStandard" status="ajaxStatus" rendered="{!InEditMode == false}">
								<apex:param name="SortField" value="Operator_On_Call__r.Operator__r.Name" assignTo="{!sSearchField}" />
								<apex:outputText escape="false" value="Operator On Call {!IF(sSearchField == 'Operator_On_Call__r.Operator__r.Name', IF(bSortAscending == true, '▲', '▼'), '')}" />
							</apex:commandLink>

							<apex:outputText escape="false" value="Operator On Call {!IF(sSearchField == 'Operator_On_Call__r.Operator__r.Name', IF(bSortAscending == true, '▲', '▼'), '')}" rendered="{!InEditMode == true}" />
						</td>
						<td class="cellooc" style="width: 17%; font-weight: bold; text-align: center; vertical-align: middle; background-color: #dddddd">
							<apex:commandLink style="text-decoration: none; vertical-align: middle;" action="{!ColumnSortToggle}" reRender="pbStandard" status="ajaxStatus" rendered="{!InEditMode == false}">
								<apex:param name="SortField" value="Operator_On_Call__r.CreatedDate" assignTo="{!sSearchField}" />
								<apex:outputText escape="false" value="On Call Since {!IF(sSearchField == 'Operator_On_Call__r.CreatedDate', IF(bSortAscending == true, '▲', '▼'), '')}" />
							</apex:commandLink>

							<apex:outputText escape="false" value="On Call Since {!IF(sSearchField == 'Operator_On_Call__r.CreatedDate', IF(bSortAscending == true, '▲', '▼'), '')}" rendered="{!InEditMode == true}" />
						</td>
						<td class="cellooc" style="width: 17%; font-weight: bold; text-align: center; vertical-align: middle; background-color: #dddddd">
							<apex:commandLink style="text-decoration: none; vertical-align: middle;" action="{!ColumnSortToggle}" reRender="pbStandard" status="ajaxStatus" rendered="{!InEditMode == false}">
								<apex:param name="SortField" value="Field_Senior__r.Name" assignTo="{!sSearchField}" />
								<apex:outputText escape="false" value="Field Senior {!IF(sSearchField == 'Field_Senior__r.Name', IF(bSortAscending == true, '▲', '▼'), '')}" />
							</apex:commandLink>

							<apex:outputText escape="false" value="Field Senior {!IF(sSearchField == 'Field_Senior__r.Name', IF(bSortAscending == true, '▲', '▼'), '')}" rendered="{!InEditMode == true}" />
						</td>
					</tr>

				<apex:repeat id="pbsRepeatRoutes" value="{!RouteList}" var="oOneRoute">
					<tr style="line-height: 26px;{!IF(oOneRoute.bCurrentUserIsOperatorOnCall == true, ' background-color: #10ff00;', '')}" onmouseover="this.style.backgroundColor = '#bbbbff'" onmouseout="this.style.backgroundColor = '{!IF(oOneRoute.bCurrentUserIsOperatorOnCall == true, '#10ff00', '#ffffff')}'">
						<td class="cellooc" style="text-align: center; vertical-align: middle;">
							<a target="_blank" href="/{!oOneRoute.sRouteId}">{!oOneRoute.sRouteName}</a>
						</td>
						<td class="cellooc" style="border-right: none; width: 11%; vertical-align: middle;">

							<apex:outputPanel layout="block" id="panelImage" rendered="{!InEditMode == false && IsOperator == true && IsControlRoomOperator == false && oOneRoute.bCurrentUserIsFieldSenior == false && oOneRoute.bCurrentUserIsOperatorOnCall == false}">
								<apex:image id="takeOwnershipImage" value="/img/icon/profile16.png" style="border-style: none; vertical-align: middle;" alt="Take Route {!oOneRoute.sRouteName}" onClick="UpdateRoute('{!oOneRoute.sRouteName}', 'Take ownership of route {!oOneRoute.sRouteName}?');" />
							</apex:outputPanel>

							<apex:outputPanel layout="block" id="panelPencil" rendered="{!InEditMode == false && (IsControlRoomOperator == true || oOneRoute.bCurrentUserIsFieldSenior == true)}">
								<apex:image id="editOwnershipImage" value="/img/icon/custom51_100/pencil16.png" style="border-style: none; vertical-align: middle;" alt="Edit Route {!oOneRoute.sRouteName}" onClick="EditMode('{!oOneRoute.sRouteName}');" />
							</apex:outputPanel>

							<apex:outputPanel layout="block" id="panelEdit" rendered="{!InEditMode == true && RouteNum == oOneRoute.sRouteName}">
								<apex:image id="cancelOwnershipImage" value="/img/permissions_deny16.gif" style="border-style: none; vertical-align: middle;" alt="Cancel Edit for Route {!oOneRoute.sRouteName}" onClick="EditMode('');" />

								&nbsp; &nbsp; 

								<apex:image id="saveOwnershipImage" value="/img/permissions_confirm16.gif" style="border-style: none; vertical-align: middle;" alt="Save Edit for Route {!oOneRoute.sRouteName}" onClick="UpdateRoute('{!oOneRoute.sRouteName + SplitterString + oOneRoute.sSelectedOperator}', 'Assign {!oOneRoute.SelectedOperator} to route {!oOneRoute.sRouteName}?');" />
							</apex:outputPanel>

						</td>
						<td class="cellooc" style="border-left: none; width: 30%; border-right: none; text-align: center; vertical-align: middle; padding-right: 8px;">
							<apex:outputPanel id="panelOperatorStd" rendered="{!InEditMode == false || RouteNum != oOneRoute.sRouteName}">
								<a target="_blank" href="/{!oOneRoute.sOperatorId}">{!oOneRoute.sOperatorName}</a>
							</apex:outputPanel>

							<apex:outputPanel id="panelOperatorFieldSenior" rendered="{!InEditMode == true && RouteNum == oOneRoute.sRouteName}">
								<apex:selectList value="{!oOneRoute.sSelectedOperator}" size="1">
									<apex:selectOption itemLabel="- Select an Operator -" itemValue="" itemDisabled="true" />
									<apex:selectOptions value="{!oOneRoute.OperatorAssignmentList}" />
									<apex:actionSupport status="ajaxStatus" event="onchange" rerender="saveOwnershipImage" />
									<apex:actionSupport status="ajaxStatus" event="onkeydown" rerender="saveOwnershipImage" />
								</apex:selectList>
							</apex:outputPanel>
						</td>
						<td class="cellooc" style="border-left: none; width: 11%; text-align: left; vertical-align: middle;">
							{!oOneRoute.sOperatorPhone}
						</td>
						<td class="cellooc" style="text-align: right; vertical-align: middle;">
							{!oOneRoute.sFormattedDate}
						</td>
						<td class="cellooc" style="text-align: center; vertical-align: middle;">
							<apex:outputField value="{!oOneRoute.oRouteObject.Field_Senior__c}" />
						</td>
					</tr>
				</apex:repeat>

				</table>
			</apex:actionRegion>
		</apex:pageBlock>
	</apex:form>
</apex:page>